# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::Ray Class Reference

The Ray class defines a ray as an origin and direction using real precision. More...

`#include <Ray.hpp>`

List of all members.

## Public Member Functions

const vec3 & | direction () const
const vec3 & | origin () const
void | setDirection (const vec3 &dir)
void | setOrigin (const vec3 &orig)

## Protected Attributes

vec3 | mDirection
vec3 | mOrigin

## Detailed Description

The Ray class defines a ray as an origin and direction using real precision.

Definition at line 41 of file Ray.hpp.

## Member Function Documentation

const vec3& vl::Ray::direction | ( | ) | const`[inline]`

Definition at line 44 of file Ray.hpp.

References mDirection.

Referenced by vl::RayIntersector::intersectTriangle().

const vec3& vl::Ray::origin | ( | ) | const`[inline]`

Definition at line 45 of file Ray.hpp.

References mOrigin.

Referenced by vl::RayIntersector::intersectTriangle().

void vl::Ray::setDirection | ( | const vec3 & | dir ) | `[inline]`

Definition at line 46 of file Ray.hpp.

References mDirection.

Referenced by vl::Camera::computeRay().

void vl::Ray::setOrigin | ( | const vec3 & | orig ) | `[inline]`

Definition at line 47 of file Ray.hpp.

References mOrigin.

Referenced by vl::Camera::computeRay().

## Member Data Documentation

vec3 vl::Ray::mDirection`[protected]`

Definition at line 50 of file Ray.hpp.

Referenced by direction(), and setDirection().

vec3 vl::Ray::mOrigin`[protected]`

Definition at line 51 of file Ray.hpp.

Referenced by origin(), and setOrigin().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Ray.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:14.
Permission is granted to use this page to write and publish articles regarding Visualization Library.